<?php


namespace App\Helpers;


use Carbon\Carbon;

class DateTimeHelper
{

    public static function __getTz()
    {
        return env("APP_TIMEZONE", "UTC");
    }

    public static function __getLocalTz()
    {
        return env("APP_TIMEZONE_LOCAL", "Asia/Karachi");
    }

    public static function getNow($toStr = false, $format = "Y-m-d H:i:s")
    {
        $date = Carbon::now(SELF::__getTz());
        if ($toStr)
            $date->format($format);

        return $date;
    }

    public static function getLocalNow($toStr = false, $format = "Y-m-d H:i:s")
    {
        $date = Carbon::now()->timezone(SELF::__getLocalTz());
        if ($toStr)
            $date->format($format);

        return $date;
    }

    public static function getDateTime($dateTime, $toStr = false, $format = "Y-m-d H:i:s")
    {
        $date = Carbon::parse($dateTime, SELF::__getTz());

        if ($toStr)
            $date->format($format);

        return $date;
    }
}
