<?php

namespace App\Http\Controllers;

use Firebase\JWT\JWT;
use Laravel\Lumen\Routing\Controller as BaseController;

class Controller extends BaseController
{
    /**
     * @param $message
     * @param $status
     * @param null $data
     * @param null $request
     * @return \Illuminate\Http\JsonResponse
     */

    public function sendResult($message, $status, $data = null)
    {
        $result = [
            "message" => $message,
            "status" => $status,
            "data" => $data
        ];

        return response()->json($result,200);
    }

    public static function payLoad($user)
    {
        $payload = array(
            'iss' => "lumen-jwt", // Issuer of the token
            'sub' => $user['id'], // Subject of the token
            'iat' => time(), // Time when JWT was issued.
            'exp' => time() + 60 * 60 * 8760, // Expiration time 1 year
            "user" => $user // User Info,
        );
        $token = JWT::encode($payload, env('JWT_SECRET'));
        return $token;
    }
}
