<?php


namespace App\Libraries;

use Intervention\Image\Facades\Image;
use yii\base\InvalidConfigException;
use yii\helpers\Html;

trait ModelDependentUpload
{
    public function getFilePath()
    {
        $filePath = env('IMAGE_DIRECTORY') . "/" . $this->getTable();
        if (!is_dir($filePath)) {
            mkdir($filePath, 0777);
        }
        return $filePath;
    }

    public function doupload($photo, $width = null, $hieght = null)
    {
        $uniqueName = $this->getUniqueFileTitle($photo->getClientOriginalName());
        $uniqueName = substr_replace($uniqueName, "", -5);
        $uniqueName = $uniqueName."dietbox".rand(10000,15000);
        $save_name = $uniqueName . '.' . $photo->getClientOriginalExtension();

        if (!empty($width) && !empty($hieght)) {
            Image::make($photo)
                ->resize($width, $hieght, function ($constraints) {
                    $constraints->aspectRatio();
                })->save($this->getFilePath() . '/' . $save_name);
        } else {
            $photo->move($this->getFilePath(), $save_name);
        }

        return $this->getTable() . '/' . $save_name;
    }

    /**
     * @param $str
     * @return string|string[]|null
     */
    public function getUniqueFileTitle($str)
    {
        $str = strip_tags($str);
        $str = preg_replace('/[\r\n\t ]+/', ' ', $str);
        $str = preg_replace('/[\"\*\/\:\<\>\?\'\|]+/', ' ', $str);
        $str = strtolower($str);
        $str = html_entity_decode($str, ENT_QUOTES, "utf-8");
        $str = htmlentities($str, ENT_QUOTES, "utf-8");
        $str = preg_replace("/(&)([a-z])([a-z]+;)/i", '$2', $str);
        $str = str_replace(' ', '-', $str);
        $str = rawurlencode($str);
        $str = str_replace('%', '-', $str);
        $str = str_replace('_', '-', $str);
        $str = preg_replace('/-+/', '-', $str);

        return $str;
    }
}
