<?php
/**
 * Created by PhpStorm.
 * User: warispopal
 * Date: 4/3/19
 * Time: 3:54 PM
 */

namespace App\TraitLibraries;


use App\models\Disposition;


trait ModelHelper
{

    public function existAttribute(string $attribute): bool
    {
        return in_array($attribute, $this->fillable, true);
    }

    protected static function boot()
    {
        parent::boot();
    }

    public function addDisposition($comment = null, $reason_id = null, $member_id = null, $user_id = null): void
    {
        $model = new Disposition(
            [
                "object" => $this->getTable(),
                "objectId" => $this->id,
            ]
        );

        $model->status = $this->status;
        $model->reason_id = $reason_id;
        $model->user_id = $user_id;
        $model->member_id = $member_id;
        $model->comment = $comment;
        $model->save();
    }

    /**
     * @param string $value
     * @return array
     */
    protected function getDateRange(string $value): array
    {
        if (!empty($value) AND strpos($value, '-') !== false) {
            $date_array = explode(' - ', $value);
            $createdStart = date('Y-m-d', strtotime($date_array[0])) . ' 00:00:00';
            $createdEnd = date('Y-m-d', strtotime($date_array[1])) . ' 23:59:59';
            return array($createdStart, $createdEnd);
        }
    }

    /**
     * @param string $value
     * @return array
     */
    protected function getDateRangeTime(string $value): array
    {
        if (!empty($value) AND strpos($value, '-') !== false) {
            $date_array = explode(' - ', $value);
            $createdStart = date('Y-m-d H:i:s', strtotime($date_array[0]));
            $createdEnd = date('Y-m-d H:i:s', strtotime($date_array[1]));
            return array($createdStart, $createdEnd);
        }
    }

    /**
     * @param array $attributes
     */
    public function loadModel(Array $attributes): void
    {
        foreach ($attributes as $attribute => $value) {
            if (in_array($attribute, $this->fillable, true))
                $this->setAttribute($attribute, $value);
        }

    }

    public static function phoneLocalFormat($phone)
    {
        $countryCode = '0'; // Replace with known country code of user.
        $internationalNumber = str_replace('+92', $countryCode, $phone);
        return $internationalNumber;
    }

    public static function phoneFormat($phone)
    {
        $countryCode = '+92'; // Replace with known country code of user.
        $internationalNumber = preg_replace('/^0/', $countryCode, $phone);
        return $internationalNumber;
    }

}