<?php
/**
 * Created by PhpStorm.
 * User: warispopal
 * Date: 4/3/19
 * Time: 3:52 PM
 */

namespace App\TraitLibraries;


use Illuminate\Http\Request;

trait ModelSearch
{

    public function scopeSearch($query, Request $request)
    {

        foreach ($request->all() as $column => $value):

            if (empty($value))
                continue;

            if (isset($this->searchableColumns[$column])) {

                if (!empty($this->searchableColumns[$column])) {

                    if (!empty($this->searchableColumns[$column]['dataType'])) {
                        $key = (!empty($this->searchableColumns[$column]['join'])) ? $this->searchableColumns[$column]['join'] : $column;
                        switch ($this->searchableColumns[$column]['dataType']) {
                            case 'equal':
                                $query->where($key, $value);
                                break;
                            case 'like':
                                $query->where($key, 'LIKE', "%$value%");
                                break;
                            case 'date':
                                $query->whereBetween($key, $this->getDateRange($value));
                                break;
                            case 'dateTime':
                                $query->whereBetween($key, $this->getDateRangeTime($value));
                                break;
                            case 'in':
                                $query->whereIn($key, $value);
                                break;
                        }

                    } else {
                        $query->where($column, $value);
                    }
                }
            }
        endforeach;

        return $query;
    }
}