<?php

namespace App\models;

use App\Libraries\ModelDependentUpload;
use App\TraitLibraries\ModelHelper;
use App\TraitLibraries\ModelSearch;
use Illuminate\Database\Eloquent\Model;

class FcmResponse extends Model
{
    use ModelSearch, ModelHelper;

    protected $fillable = [
        "fcm_message_id",
        "user_token",
        "multicast_id",
        "status",
        "fcm_response",
        "member_id",
        "user_id",
        "title",
        "message",
        "image",
        "domain_url"
    ];

    /**
     * The search attributes that are mass assignable.
     *
     * @var array
     */

    public $searchableColumns = array(

        'user_token' =>
            array(
                'dataType' => 'like',
                'join' => 'invoices.title'
            ),
        'created' =>
            array(
                'dataType' => 'daterange',
                'join' => 'invoices.created_at'
            ),
    );


    public function scopeFcmHistory($query)
    {
        $query->leftJoin('members', 'members.id', '=', 'fcm_responses.member_id');
        $query->leftJoin('users', 'user_id', '=', 'fcm_responses.user_id');

        $query->select('fcm_responses.*',
            'members.name as memberName',
            'users.name as userName'
        );

        $query->groupBy('fcm_responses.id');

        return $query;
    }

}
