<?php

namespace App\models;

use Illuminate\Database\Eloquent\Model;

class MemberMealPlan extends Model
{

    public function scopeIndex($query)
    {
        // users join
        $query->join('meal_plans', 'meal_plans.id', '=', 'member_meal_plans.meal_plan_id');
        //select columns ...
        $query->select('member_meal_plans.*',
            'meal_plans.title',
            'meal_plans.title',
            'meal_plans.description',
            'meal_plans.availDays',
            'meal_plans.amount',
            'meal_plans.logo',
            'meal_plans.availCalories');

        $query->groupBy('member_meal_plans.id');

        return $query;
    }

    //Override
    public function addDisposition($comment)
    {
        $memberMealPlanDisposition = new MemberPlanDisposition([
            "member_mealplan_id" => $this->id,
            "member_id" => $this->member_id,
            "comments" => $comment,
            "startOn" => $this->startOn,
            "expireOn" => $this->expireOn,
        ]);
        $memberMealPlanDisposition->save();

    }

    public function mealplan()
    {
        return $this->belongsTo(MealPlan::class, 'meal_plan_id');
    }
}
