<?php

namespace App\models;

use App\TraitLibraries\ModelHelper;
use App\TraitLibraries\ModelSearch;
use Illuminate\Database\Eloquent\Model;

/**
 * @property mixed status
 * @property mixed id
 * @property mixed is_breakfast
 * @property int is_lunch
 * @property int is_dinner
 * @property int is_snack
 * @property mixed type
 */
class MemberReservation extends Model
{
    use ModelHelper, ModelSearch;

    protected $fillable = [
        "is_breakfast",
        "is_lunch",
        "is_snack",
        "is_dinner",
        "reservation_id",
        "member_id",
        "member_meal_plan_id",
        "address",
        "type",
        "address_note",
        "lat",
        "long",
        "status",
        "user_id"
    ];


    const STATUS_COOKING = "COOKING";
    const STATUS_IN_TRANSIT = "IN_TRANSIT";
    const STATUS_CANCELED = "CANCELED";
    const STATUS_DELIVERED = "DELIVERED";
    const STATUS_DECLINED = "DECLINE";
    const STATUS_OTHER = "OTHER";
    const STATUS_PENDING = "PENDING";
    const STATUS_LOST = "LOST";

    const TYPE_PACKAGE = "PACKAGE";
    const TYPE_ORDER = "ORDER";


    public function reservation()
    {
        return $this->belongsTo(Reservation::class);
    }

    public function member()
    {
        return $this->belongsTo(Member::class);
    }
}
