<?php

namespace App\models;

use App\managers\OrderManager;
use App\TraitLibraries\ModelHelper;
use App\TraitLibraries\ModelSearch;
use Illuminate\Database\Eloquent\Model;

/**
 * @property mixed member_id
 */
class Order extends Model
{

    use  ModelHelper, ModelSearch;

    /**
     * LOG ACTIVITY
     */
    const ORDER_TYPE_DELIVERY = "DELIVERY";
    const ORDER_TYPE_TAKEAWAY = "TAKEAWAY";
    const ORDER_TYPE_DINNING = "DINNING";

    const ORDER_STATUS_PROCESS = "IN_PROCESS";
    const ORDER_STATUS_TRANSIT = "IN_TRANSIT";
    const ORDER_STATUS_DELIVERED = "DELIVERED";

    protected $fillable = [
        "member_id",
        "address",
        "status",
        "source",
        "type",
        "totalAmount",
        "refundAmount",
        "discountAmount",
        "deliveryAmount",
        "shop_id",
        "coupon_id",
        "pickup_time",
        "delivered_by",
        "created_by",
        "active",
        "discount_by",
        "comment",
    ];


    public function orderItems()
    {
        return $this->hasMany(OrderItem::class)->with('meal');
    }

    public function shop()
    {
        return $this->belongsTo(Shop::class);
    }

}
