<?php

namespace App\models;

use App\TraitLibraries\ModelHelper;
use App\TraitLibraries\ModelSearch;
use Illuminate\Database\Eloquent\Model;

class Rating extends Model
{
    use ModelHelper, ModelSearch;

    protected static $logAttributes;
    protected static $logName;
    protected static $logOnlyDirty = true;
    protected static $submitEmptyLogs = false;

    public function __construct(array $attributes = [])
    {
        parent::__construct($attributes);

        self::$logName = $this->getTable();
        self::$logAttributes = $this->fillable;
    }

    protected $fillable = [
        'objectId',
        'object',
        'member_id',
        'reason_id',
        'comment',
        'rate',
        'sorting',
        'status'
    ];

    public const TYPE_MEALS = "meals";
    public const TYPE_RECIPES = "recipes";
    public const TYPE_DIETBOX = "dietbox";


    public const STATUS_APPROVED = "approved";
    public const STATUS_REJECTED = "rejected";
    public const STATUS_PENDING = "pending";


}
