<?php


Route::group(['prefix' => 'catcher', "middleware" => ["CorsMiddleware"]], function ($router) {

    $router->get(
        'get-member', [
            'uses' => 'AuthController@getMember',
            'middleware' => 'catcher.auth'
        ]
    );
});

Route::group(['prefix' => 'members', "middleware" => ["CorsMiddleware"]], function ($router) {


    $router->post(
        'place/order', [
            'uses' => 'PublicController@placeOrder',
            'middleware' => 'jwt.auth'
        ]
    );
    $router->post(
        'phone/login', [
            'uses' => 'AuthController@handleLogin'
        ]
    );
    $router->post(
        'phone/open-login', [
            'uses' => 'AuthController@handleLoginOpen'
        ]
    );


    $router->get(
        'home', [
            'uses' => 'MemberController@home',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->get(
        'calendar', [
            'uses' => 'MemberController@calendar',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->get(
        'package-order/{id}', [
            'uses' => 'MemberController@memberReservation',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->get(
        'addresses', [
            'uses' => 'MemberController@addresses',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->get(
        'package-orders', [
            'uses' => 'MemberController@memberReservations',
            'middleware' => 'jwt.auth'
        ]
    );
    $router->get(
        'shop/orders', [
            'uses' => 'MemberController@shopOrders',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->get(
        'shop/order/{id}', [
            'uses' => 'MemberController@shopOrder',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->post(
        'update', [
            'uses' => 'MemberController@update',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->post(
        'add-cart', [
            'uses' => 'MemberController@addCart',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->post(
        'meal/review', [
            'uses' => 'MemberController@reviewMeal',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->post(
        'edit-address', [
            'uses' => 'MemberController@editAddress',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->post(
        'package/meal-cancel', [
            'uses' => 'MemberController@mealCancelPost',
            'middleware' => 'jwt.auth'
        ]
    );


});

