<?php

use Illuminate\Support\Facades\Route;

$router->group(['prefix' => 'users', 'middleware' => 'CorsMiddleware'], function () use ($router) {

    Route::post(
        'login', [
            'uses' => 'AuthController@authenticate'
        ]
    );
    Route::get(
        'parcels', [
            'uses' => 'RidersController@parcels',
            'middleware' => 'jwt.auth'
        ]
    );

//
//    $router->get(
//        'rider-serves', [
//            'uses' => 'RidersController@riderServes',
//            'middleware' => 'jwt.users'
//        ]
//    );

    $router->post(
        'mark-delivered', [
            'uses' => 'RidersController@markDelivered',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->post(
        'mark-declined', [
            'uses' => 'RidersController@markDeclined',
            'middleware' => 'jwt.auth'
        ]
    );

    $router->post(
        'mark-in-transit', [
            'uses' => 'RidersController@markInTransit',
            'middleware' => 'jwt.auth'
        ]
    );


    $router->post(
        'rider/log', [
            'uses' => 'RidersController@log',
            'middleware' => 'jwt.auth'
        ]
    );

});
