<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

use Illuminate\Support\Facades\Route;

$router->options(
    '/{any:.*}',
    [
        'middleware' => ['CorsMiddleware'],
        function () {
            return response(['status' => 'success']);
        }
    ]
);
$router->post(
    'leads/free-store', [
        'uses' => 'LeadsController@freeStore'
    ]
);


Route::group(['prefix' => 'public', "middleware" => ["CorsMiddleware"]], function ($router) {

    $router->get(
        'activities', [
            'uses' => 'PublicController@activities',
        ]
    );
    $router->get(
        'darkside/leads', [
            'uses' => 'PublicController@mobileSmsLeads',
        ]
    );

    $router->post(
        'forceUpdate', [
            'uses' => 'PublicController@forceUpdate'
        ]
    );

    $router->post(
        'coupon', [
            'uses' => 'PublicController@couponCheck'
        ]
    );
    $router->get(
        'printer-data', [
            'uses' => 'RidersController@getPrintData',
        ]
    );

    $router->get(
        'packages', [
            'uses' => 'PublicController@packages',
        ]
    );

    $router->get(
        'reasons', [
            'uses' => 'PublicController@reasons',
        ]
    );

    $router->get(
        'shops', [
            'uses' => 'PublicController@shops',
        ]
    );
    $router->get(
        'shops/{id}', [
            'uses' => 'PublicController@getShop',
        ]
    );

    $router->get(
        'meals/{id}', [
            'uses' => 'PublicController@meal',
        ]
    );
    $router->get(
        'shop/meals', [
            'uses' => 'PublicController@shopMeals',
        ]
    );


});







